[FR] Rasticrac v3.3.7 (en exclusivité)

Discussion dans 'News and informations' démarrée par Rastignac, 6 Mars 2018.

Statut:
Fermé aux futures réponses.
  1. Rastignac

    Rastignac Développeur
    Membre de l'équipe

    Messages :
    195
    "J'aime" reçus :
    71
    OS:
    Windows 10
    iPhone:
    iPhone 4S
    Version iOS:
    iOS 9.x
    - La v3.3.7 doit être considérée comme une alpha.
    - Il n'y aura peut-être jamais de v3.3.8 beta.
    - La v3.3.7 ne marche certainement pas mieux que la v3.3.6. Pas de miracles. Elle ne fait certainement pas plus d'applis, ni plus vite, ni mieux.

    - Le seul iTunes à utiliser: iTunes v12.6.3.6.
    - Le seul endroit où le télécharger: https://discussions.apple.com/docs/DOC-6562#versions
    - La dernière version capable d'accéder à l'AppStore directement à partir de son ordinateur.
    - La dernière version capable de récupérer des IPAs entières et pas slicées.

    - Le meilleur outil pour l'UsbTunnel: http://www.3u.com/
    - Oubliez tous les autres. Trop de souffrance.

    - Un jailbreak pourri, c'est la source de tous les soucis.
    - Il faut faire le stashing en premier, avant d'installer des tonnes d'outils et de dépendances.
    - Vérifiez les chmod des répertoires avant de râler. Un "ls -ld /var/root" ou un "ls -ld /var/root/Documents" donnent du "drwxr-xr-x" par exemple.

    - Arrêtez avec vos applications slicées, une fois pour toutes. Si Rasticrac refuse de les faire, c'est parce qu'elles sont pourries/incomplètes/incompatibles. C'est donc volontaire. Suivez la procédure correcte.

    - What's new: correction du bug stupide qui faisait planter sous iOS6 et inférieurs. Personne ne l'avait vu.
    - What's new: obligation de se débarrasser de ldone, après des années de bons et moins bons services.
    - What's new: ajout de code pour les fichiers supx, alors que ça ne sert à rien et que personne ne sait ce que ça fait en fait.
    - What's new: pas testé sous iOS11 et autres. Je n'ai pas d'iMachin assez récent. Désolé.
    - What's new: mise à jour des outils pour le remote.
    - What's new: le remote affiche une progression du téléversement (on voit quand c'est planté).

    Merci.
     

    Pièces jointes:

    • rrc337.zip
      Taille du fichier:
      746.3 Ko
      Affichages:
      21
  2. user_hidden

    user_hidden Membre

    Messages :
    59
    "J'aime" reçus :
    7
    iPhone:
    iPhone SE
    iPad:
    iPad Mini 2
    superbe nouvelle
     
  3. Rastignac

    Rastignac Développeur
    Membre de l'équipe

    Messages :
    195
    "J'aime" reçus :
    71
    OS:
    Windows 10
    iPhone:
    iPhone 4S
    Version iOS:
    iOS 9.x
    Prochain gros problème à résoudre:

    - L'appli est 9+64 et compatible iOS10.
    - L'iMachin est en iOS10.
    - En sortie, on a du 9+64, et l'IPA marchera partout.
    - Parfait.

    - L'appli est 9+64 et compatible iOS10.
    - L'iMachin est en iOS11.
    - La partie 9 ne peut pas être traitée !
    - Premier choix: le script doit échouer. Un iMachin en iOS10 sera obligatoire.
    - Deuxième choix: le script doit réussir à tout prix. Mais en sortie, il ne reste que le 64. L'IPA n'est plus compatible avec tout le monde.
    - Pas chouette.


    Next big problem to solve:

    - App has 9+64 and is iOS10 compatible.
    - iDevice has iOS10.
    - Output has 9+64. IPA will work everywhere.
    - Perfect.

    - App has 9+64 and is iOS10 compatible.
    - iDevice has iOS11.
    - The 9 part can't be done!
    - Choice 1: script must fail. An iDevice with iOS10 must be used.
    - Choice 2: script must win. But output now has only 64. IPA won't work everywhere.
    - Not good.
     
  4. user_hidden

    user_hidden Membre

    Messages :
    59
    "J'aime" reçus :
    7
    iPhone:
    iPhone SE
    iPad:
    iPad Mini 2
    however if app is os11 only, than if rasticrac makes only 64 app than that is fine as it
    can't be used on lower firmware anyway since os11+ are all 64 devices.

    forcing us to have thinned apps as output !

    type 9 will sooner or later be gone.

    unfortunately looks like different senarios based on what device is used as the host.

    good luck we appreciate all your hard work
     
  5. user_hidden

    user_hidden Membre

    Messages :
    59
    "J'aime" reçus :
    7
    iPhone:
    iPhone SE
    iPad:
    iPad Mini 2
    rc337

    when cracking apps on iOS10, apps still crash on iOS11

    if i take the app and unarchive then resign with ldid/2 on
    a pc or mac and then rebuild the ipa it works fine.
    the above it what i do on RC336 apps to work on os11
     
    #5 user_hidden, 7 Mars 2018
    Dernière édition: 7 Mars 2018
  6. coeur51

    coeur51 Fondateur MI-5
    Membre de l'équipe

    Messages :
    9 399
    "J'aime" reçus :
    147
    OS:
    Windows 10
    iPhone:
    iPhone 3GS
    iPad:
    iPad Air
    Version iOS:
    iOS 10.x
    Gamecenter:
    coeur51
    Hello,

    Merci pour l'update. Pas encore tester car je suis sous l'eau depuis début janvier mais ça va venir.

    Excellent week-end !
     
  7. user_hidden

    user_hidden Membre

    Messages :
    59
    "J'aime" reçus :
    7
    iPhone:
    iPhone SE
    iPad:
    iPad Mini 2
    since gawk is not updated for os11 is there a possibility to have the gawk commands in rasticrac to be replaced by sed ???
     
  8. Rastignac

    Rastignac Développeur
    Membre de l'équipe

    Messages :
    195
    "J'aime" reçus :
    71
    OS:
    Windows 10
    iPhone:
    iPhone 4S
    Version iOS:
    iOS 9.x
    Ouch! Damn hard.
    Some commands might be replaced, but not 100%.
    Sorry.
     
  9. user_hidden

    user_hidden Membre

    Messages :
    59
    "J'aime" reçus :
    7
    iPhone:
    iPhone SE
    iPad:
    iPad Mini 2
    just trying to come up with some solutions, the mind always thinks
     
  10. Rastignac

    Rastignac Développeur
    Membre de l'équipe

    Messages :
    195
    "J'aime" reçus :
    71
    OS:
    Windows 10
    iPhone:
    iPhone 4S
    Version iOS:
    iOS 9.x
    Annonce récente: << Electra 1.1 sort prochainement; les applications sans droits "platform-application entitlement" peuvent enfin se lancer sans planter >>. Ah, il est urgent d'attendre, donc.
     
  11. Rastignac

    Rastignac Développeur
    Membre de l'équipe

    Messages :
    195
    "J'aime" reçus :
    71
    OS:
    Windows 10
    iPhone:
    iPhone 4S
    Version iOS:
    iOS 9.x
    Un petit point rapide de la situation: où en est-on ?

    Il y a deux choses à régler présentement:
    1) Une IPA créée sous iOS10/iOS9/etc ne marche pas telle quelle sous iOS11.
    2) Rasticrac ne peut pas fonctionner tel quel sous iOS11.

    Que faut-il donc ?
    1a) Les outils de signature des exécutables sont actuellement m*rdiques. Différentes pistes sont suivies.
    1b) N'ayant pas accès à un Mac, je ne peux même pas tenter de compiler/bidouiller des outils pour iOS.
    1c) N'ayant pas accès à un iMachin sous iOS11, je ne peux rien tester, et donc je travaille à l'aveugle.
    2a) De nombreux outils fournis par Cydia ne marchent juste pas du tout sous iOS11.
    2b) Il faut donc attendre que les mecs recompilent tous les outils avec une compatibilité iOS11.
    2c) Je ne peux pas recompiler moi-même tous les outils manquants, ni tous les remplacer par du script équivalent.

    Y a-t-il un espoir ? Je ne sais pas. Je cherche.

    Merci.
     
    Groumphy et Anonymonk aiment cela.
  12. user_hidden

    user_hidden Membre

    Messages :
    59
    "J'aime" reçus :
    7
    iPhone:
    iPhone SE
    iPad:
    iPad Mini 2
    1) after cracking on os9/10 executable must be resigned with ldid to work on os11.
    not all apps when cracked are os11 compatible even after resign.
    (Elctra 1.1 was perhaps going to fix this but it won't be comming!)
    2) obviously RC won't work as-is on os11

    1a) ldid was recompiled for os11 and works well
    1b) i could recompile as i have a mac, you could also install VM with macos on PC
    1c) i have ios11 device and can test anything you need verified.
    2a) most utils have been updated for os11, plutil is still not updated
    2b) a list of what is missing could help source the updates
    2c) if we knew, then many minds may be able to help instead of tackling all yourself.
     
    Anonymonk aime votre message.
  13. Rastignac

    Rastignac Développeur
    Membre de l'équipe

    Messages :
    195
    "J'aime" reçus :
    71
    OS:
    Windows 10
    iPhone:
    iPhone 4S
    Version iOS:
    iOS 9.x
    I tried a few things with "jtool" and "ldid2" lately. It seems that "jtool" is useless as is (it misses a few points). But "ldid2" could be fine; but the "ldid2" executable I got a few weeks ago was just plain bad and not working as wanted (executable seems wrongly generated). I need a good "ldid2" executable (ie: thin binary, arm64 only, target iOS9) for next WIP version. Rasticrac then should be able to create IPAs compatible with booth iOS10 and iOS11.

    Thanks.
     
  14. user_hidden

    user_hidden Membre

    Messages :
    59
    "J'aime" reçus :
    7
    iPhone:
    iPhone SE
    iPad:
    iPad Mini 2
    jtool is a powerful but cumbersome utility.

    yes ldid2 will set correct signature for arm64 sha256
    i have it for macOS and PC and iOS.

    attached below is one i use on iOS
     
  15. Rastignac

    Rastignac Développeur
    Membre de l'équipe

    Messages :
    195
    "J'aime" reçus :
    71
    OS:
    Windows 10
    iPhone:
    iPhone 4S
    Version iOS:
    iOS 9.x
    Thanks.
    I'm now testing v3.3.8 using your ldid2... It seems fine so far!
    Thanks.
     
  16. user_hidden

    user_hidden Membre

    Messages :
    59
    "J'aime" reçus :
    7
    iPhone:
    iPhone SE
    iPad:
    iPad Mini 2
    glad i was of help.

    i still find that NOT all cracked apps signed with ldid work on os11.
    i have been keeping a list of apps that are ok and others that are not.

    perhaps we can work together, you can always PM me at appcake forum as i'm not here on this forum often.
     
  17. Rastignac

    Rastignac Développeur
    Membre de l'équipe

    Messages :
    195
    "J'aime" reçus :
    71
    OS:
    Windows 10
    iPhone:
    iPhone 4S
    Version iOS:
    iOS 9.x
  18. user_hidden

    user_hidden Membre

    Messages :
    59
    "J'aime" reçus :
    7
    iPhone:
    iPhone SE
    iPad:
    iPad Mini 2
    @Rastignac

    i don't remember which git i got and compiled it but don't think it was from either you posted.
    i definitely get same results with the ldid i posted and ldid2 from mac and ldid2 from under cygwin for PC.
    regular ldid or rather ldid1 will not resign an arm64 app, the one i sent you does.

    what exactly is not working?

    as i stated NOT all apps resigned with ldid2 will work on os11+
    many apps just do not work resigned with ldid2 or jtool for that fact.
    i have a list of the apps it will not fix to work on os11+
    i pretest every app before posting to know if it will run on os11+ or not and mark them accordingly

    btw any app cracked on a 32bit device will not run on os11+, that is due to only "type9" being cracked and "type64" being omitted.
    an app to run on os11+ needs to be cracked on 64 bit device ( as it does "type9" and "type64") and resigned with ldid2....tested to verify
    and then again as mentioned NOT all resigned apps will be os11+ compatible.

    this is surely a mess!
     
  19. Rastignac

    Rastignac Développeur
    Membre de l'équipe

    Messages :
    195
    "J'aime" reçus :
    71
    OS:
    Windows 10
    iPhone:
    iPhone 4S
    Version iOS:
    iOS 9.x
    With a good and working Ldid2, Rasticrac should generate iOS10+iOS11 compatible IPAs. I think it can be the real deal.
    Resigning the executable after the IPA is done just sucks. Signing the right way while creating the IPA is the way to follow.
    Thanks.
     
  20. user_hidden

    user_hidden Membre

    Messages :
    59
    "J'aime" reçus :
    7
    iPhone:
    iPhone SE
    iPad:
    iPad Mini 2

    i modified my rasticrac a while ago and ldid signs during rc session not after ipa is created.
    obviously as you mentioned above it is the better solution.

    the comments i wrote in my post to you are from experience with os11 (electra) over past 4.5 months.
    imho all these signing issues are the fault of Electra jb and not particularly os11+

    if you PM me over at appcake forum i can explain more instead of public
     
Statut:
Fermé aux futures réponses.

Partager cette page